:root {
    --yellow: rgb(239, 228, 130);
    --peri: rgb(151, 151, 243);
    --sweetblue: rgb(101, 179, 205);
    --red: rgb(189, 70, 70);
    --darkteal: rgb(0, 91, 91);
    --darkerteal: rgb(0, 69, 69);
    --gogreen: rgb(89, 172, 114);
    --rustyorange: rgb(138, 90, 0);
}

* {
    background-color: var(--darkteal);
    color: rgb(246, 204, 204);
    font-family:monospace;
    text-shadow: 1px 1px 1px rgb(65, 65, 65);
}

body {
    margin: 5px 20vw;
}
header {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin: 5px 15px;
}
#score-link {
    display: inline;
    color: white;
    background-color: var(--red);
    padding: 10px;
    border-radius: 5px;
    border: black solid 1px;
    cursor: pointer;
}

#score-link:hover {
    color: white;
}

.button {
    margin:20px;
    padding:3px 30px;
    background-color: var(--red);
    color: whitesmoke
}

.button:hover {
    color: white;
}

#in-correct {
    color: white;
    padding: 3px 10px;
    border-radius: 3px;
    text-shadow: 1px 1px 1px rgb(82, 81, 81);
    font-size: 20px;
}
#time-counter {
    padding: 10px;
}

.button:hover {
    color: white;
    cursor: pointer;
}

#time-counter {
    display: inline;

}

#main-page{
    display:flex;
    flex-direction: column;
    justify-content:center;
    align-content: space-around;
    align-items: center;
}

#main-page * {
    display: block;
}

#wrap-score-stuff {
    display:flex;
    flex-wrap: wrap;
    justify-content: center;
    flex-direction: column;
    align-content: center;
    align-items: center;
}

#score-page h2{
    Color: var(--peri); 
    font-size: 20px;
    font-weight: bolder;
}

#scorelist *{
    color: white;
}

#question-page{
    display: none;
    flex-direction: column;
    justify-content:center;
    align-content: space-around;
    align-items: center;
    background-color: var(--sweetblue);
    border-radius: 10px;
    margin: 0px 20px;
    border: black solid 2px;
    padding: 8px 15px;
}

#question-page * {
    color: white;
    background-color: var(--sweetblue);
    
}

#response-items {
    background-color: var(--sweetblue);
    width: 80%;
}
#response-items * {
    background-color: var(--red);
    margin: 15px 5px;
    padding: 0px 5px;
    line-height: 30px;
    border-radius: 5px;
}

.answer:hover {
    cursor: pointer;
}

#feedback {
    display: none;
    flex-direction: column;
    justify-content:center;
    align-content: space-around;
    align-items: center;
}

#score {
    display: none;
    flex-direction: column;
    justify-content:center;
    align-content: space-around;
    align-items: center;
}

#score h2{
    font-style:italic;
    font-size: 40px;
    text-shadow: 5px 1px black;
}

#score-data {
    background-color: var(--sweetblue);
    border: solid black 1px;
    border-radius: 5px;
    padding: 5px 20px;
    margin-bottom: 30px;
    color: white;
    text-align: center;
}

#score-data * {
    color: white;
}

#scoreform {
    margin-top: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--sweetblue);
}

#savescore {
    margin: 20px 0px;
    width: 60%;
}

#score-page {
    display: none;
    flex-direction: column;
    justify-content:center;
    align-content: space-around;
    align-items: center;
    background-color: var(--sweetblue);
    border: solid black 1px;
    border-radius: 5px;
    padding: 5px 20px;
    color: white;
    width: 35vw;
}
#score-page h2 {
    color: white;
}
#score-page h2, #score-page ol *, #save-item, #save-item label, #finalscore, #scorelist {
    background-color: var(--sweetblue);
}